Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users

From: Anders Bruun Olsen <[email-masked]>
Date: Wed, 27 Nov 2013 11:13:24 +0100

2013/11/27 Mike Gabriel <[email-masked]>

> After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed up
>> in x2goclient on Mac.
>> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must have
>> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
>> detection?
>> My setup:
>> Server is Ubuntu 12.04 with XFCE 4.10.
>> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1 and
>> latest git.
>
> can you be available on IRC tomorrow for tracking this down? There
> actually is a commit that probably has caused this, so you should already
> manually revert that commit [1] on your servers.
>

Unfortunately my schedule for wednesday is mostly full. I can be on IRC
thursday.
If you have any questions or something you want me to test, feel free to
email me. I will try to answer or test as time allows throughout the day.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)